﻿//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated by a tool.
//     Runtime Version:4.0.30319.42000
//
//     Changes to this file may cause incorrect behavior and will be lost if
//     the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace ModuleLibrary.Versions.v_2_0_0.Generator {
    using System;
    
    
    /// <summary>
    ///   A strongly-typed resource class, for looking up localized strings, etc.
    /// </summary>
    // This class was auto-generated by the StronglyTypedResourceBuilder
    // class via a tool like ResGen or Visual Studio.
    // To add or remove a member, edit your .ResX file then rerun ResGen
    // with the /str option, or rebuild your VS project.
    [global::System.CodeDom.Compiler.GeneratedCodeAttribute("System.Resources.Tools.StronglyTypedResourceBuilder", "16.0.0.0")]
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
    [global::System.Runtime.CompilerServices.CompilerGeneratedAttribute()]
    internal class GenResources {
        
        private static global::System.Resources.ResourceManager resourceMan;
        
        private static global::System.Globalization.CultureInfo resourceCulture;
        
        [global::System.Diagnostics.CodeAnalysis.SuppressMessageAttribute("Microsoft.Performance", "CA1811:AvoidUncalledPrivateCode")]
        internal GenResources() {
        }
        
        /// <summary>
        ///   Returns the cached ResourceManager instance used by this class.
        /// </summary>
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Advanced)]
        internal static global::System.Resources.ResourceManager ResourceManager {
            get {
                if (object.ReferenceEquals(resourceMan, null)) {
                    global::System.Resources.ResourceManager temp = new global::System.Resources.ResourceManager("ModuleLibrary.Versions.v_2_0_0.Generator.GenResources", typeof(GenResources).Assembly);
                    resourceMan = temp;
                }
                return resourceMan;
            }
        }
        
        /// <summary>
        ///   Overrides the current thread's CurrentUICulture property for all
        ///   resource lookups using this strongly typed resource class.
        /// </summary>
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Advanced)]
        internal static global::System.Globalization.CultureInfo Culture {
            get {
                return resourceCulture;
            }
            set {
                resourceCulture = value;
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to .\01_Generator.
        /// </summary>
        internal static string GenGeneratorFilePath {
            get {
                return ResourceManager.GetString("GenGeneratorFilePath", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to .\03_GenData\inc.
        /// </summary>
        internal static string GenHeaderFilePath {
            get {
                return ResourceManager.GetString("GenHeaderFilePath", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to .\06_Makefile.
        /// </summary>
        internal static string GenMakefileFilePath {
            get {
                return ResourceManager.GetString("GenMakefileFilePath", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to .\03_GenData\inc\Rte_MemMap.h.
        /// </summary>
        internal static string GenMemMapFile {
            get {
                return ResourceManager.GetString("GenMemMapFile", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to Rte_Shutdown_UserDeinitFunctions.
        /// </summary>
        internal static string GenRteCalloutStubsDeinitFunctionName {
            get {
                return ResourceManager.GetString("GenRteCalloutStubsDeinitFunctionName", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to Rte_Startup_UserInitFunctions.
        /// </summary>
        internal static string GenRteCalloutStubsInitFunctionName {
            get {
                return ResourceManager.GetString("GenRteCalloutStubsInitFunctionName", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to Rte_Client_.
        /// </summary>
        internal static string GenRteClientFncInterfaceBaseString {
            get {
                return ResourceManager.GetString("GenRteClientFncInterfaceBaseString", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to Rte_Cfg.
        /// </summary>
        internal static string GenRteConfigHeaderFileName {
            get {
                return ResourceManager.GetString("GenRteConfigHeaderFileName", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to 100.
        /// </summary>
        internal static string GenRteErrorIdGenerationOffset {
            get {
                return ResourceManager.GetString("GenRteErrorIdGenerationOffset", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to Rte_ErrorType_.
        /// </summary>
        internal static string GenRteErrorTypeBaseString {
            get {
                return ResourceManager.GetString("GenRteErrorTypeBaseString", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to .\03_GenData\inc.
        /// </summary>
        internal static string GenRteGeneratorModuleGenIncFilePath {
            get {
                return ResourceManager.GetString("GenRteGeneratorModuleGenIncFilePath", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to .\03_GenData\src.
        /// </summary>
        internal static string GenRteGeneratorModuleGenSrcFilePath {
            get {
                return ResourceManager.GetString("GenRteGeneratorModuleGenSrcFilePath", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to _Init.
        /// </summary>
        internal static string GenRteGeneratorModuleInitFncPrefix {
            get {
                return ResourceManager.GetString("GenRteGeneratorModuleInitFncPrefix", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to Rte_Interfaces.
        /// </summary>
        internal static string GenRteInteractionLayerFileName {
            get {
                return ResourceManager.GetString("GenRteInteractionLayerFileName", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to Rte_Callout_Stubs.
        /// </summary>
        internal static string GenRteModuleCalloutStubsFileName {
            get {
                return ResourceManager.GetString("GenRteModuleCalloutStubsFileName", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to /* ++++++++++++++++++++++++++++++++ Generation of available Server Port Error Information ++++++++++++++++++++++++++++++ */.
        /// </summary>
        internal static string GenRteModuleIfHeader_DefinitionGroupStringServerPortErrors {
            get {
                return ResourceManager.GetString("GenRteModuleIfHeader_DefinitionGroupStringServerPortErrors", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to /* ++++++++++++++++++++++++++++++++ Generation of Client Port Runnable Prototype Information ++++++++++++++++++++++++++++++ */.
        /// </summary>
        internal static string GenRteModuleIfHeader_IncludeGroupStringClientPortRunnable {
            get {
                return ResourceManager.GetString("GenRteModuleIfHeader_IncludeGroupStringClientPortRunnable", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to /* +++++++++++++++++++++++++++++++++++++++ Generation of Cyclic Runnable Prototypes +++++++++++++++++++++++++++++++++++++++ */.
        /// </summary>
        internal static string GenRteModuleIfHeader_IncludeGroupStringCyclicRunnable {
            get {
                return ResourceManager.GetString("GenRteModuleIfHeader_IncludeGroupStringCyclicRunnable", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to /* ++++++++++++++++++++++++++++++++++++++++ Generation of Init Runnable Prototypes ++++++++++++++++++++++++++++++++++++++++ */.
        /// </summary>
        internal static string GenRteModuleIfHeader_IncludeGroupStringInitRunnable {
            get {
                return ResourceManager.GetString("GenRteModuleIfHeader_IncludeGroupStringInitRunnable", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to /* +++++++++++++++++++++++++++ Generation of Sender Receiver Port Runnable Prototype Information ++++++++++++++++++++++++++ */.
        /// </summary>
        internal static string GenRteModuleIfHeader_IncludeGroupStringSenderReceiverPortRunnable {
            get {
                return ResourceManager.GetString("GenRteModuleIfHeader_IncludeGroupStringSenderReceiverPortRunnable", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to /* +++++++++++++++++++++++++++++++++++++ Generation of Server Port Runnable Prototypes ++++++++++++++++++++++++++++++++++++ */.
        /// </summary>
        internal static string GenRteModuleIfHeader_IncludeGroupStringServerPortRunnable {
            get {
                return ResourceManager.GetString("GenRteModuleIfHeader_IncludeGroupStringServerPortRunnable", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to ModuleInternalBehaviour.xml.
        /// </summary>
        internal static string GenRteModuleInternalBehaviorFileName {
            get {
                return ResourceManager.GetString("GenRteModuleInternalBehaviorFileName", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to .\01_Generator\.
        /// </summary>
        internal static string GenRteModuleInternalBehaviorFilePath {
            get {
                return ResourceManager.GetString("GenRteModuleInternalBehaviorFilePath", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to RteSystemApplication_.
        /// </summary>
        internal static string GenRteModuleSystemApplicationBaseFileName {
            get {
                return ResourceManager.GetString("GenRteModuleSystemApplicationBaseFileName", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to Rte_Receiver_.
        /// </summary>
        internal static string GenRteReceiverElementInterfaceBaseString {
            get {
                return ResourceManager.GetString("GenRteReceiverElementInterfaceBaseString", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to Rte_Sender_.
        /// </summary>
        internal static string GenRteSenderElementInterfaceBaseString {
            get {
                return ResourceManager.GetString("GenRteSenderElementInterfaceBaseString", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to _Var.
        /// </summary>
        internal static string GenRteSenderElementVar {
            get {
                return ResourceManager.GetString("GenRteSenderElementVar", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to Rte_Server_.
        /// </summary>
        internal static string GenRteServerFncInterfaceBaseString {
            get {
                return ResourceManager.GetString("GenRteServerFncInterfaceBaseString", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to RteSystemApplicationPrio1Task_.
        /// </summary>
        internal static string GenRteSystemApplication1PrioTaskPrefixName {
            get {
                return ResourceManager.GetString("GenRteSystemApplication1PrioTaskPrefixName", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to 1000.
        /// </summary>
        internal static string GenRteSystemApplication1PrioTaskSchedulingTime {
            get {
                return ResourceManager.GetString("GenRteSystemApplication1PrioTaskSchedulingTime", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to RteSystemApplicationPrio2Task_.
        /// </summary>
        internal static string GenRteSystemApplication2PrioTaskPrefixName {
            get {
                return ResourceManager.GetString("GenRteSystemApplication2PrioTaskPrefixName", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to 100.
        /// </summary>
        internal static string GenRteSystemApplication2PrioTaskSchedulingTime {
            get {
                return ResourceManager.GetString("GenRteSystemApplication2PrioTaskSchedulingTime", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to RteSystemApplicationPrio3Task_.
        /// </summary>
        internal static string GenRteSystemApplication3PrioTaskPrefixName {
            get {
                return ResourceManager.GetString("GenRteSystemApplication3PrioTaskPrefixName", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to 10.
        /// </summary>
        internal static string GenRteSystemApplication3PrioTaskSchedulingTime {
            get {
                return ResourceManager.GetString("GenRteSystemApplication3PrioTaskSchedulingTime", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to RteSystemApplicationPrio4Task_.
        /// </summary>
        internal static string GenRteSystemApplication4PrioTaskPrefixName {
            get {
                return ResourceManager.GetString("GenRteSystemApplication4PrioTaskPrefixName", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to 10.
        /// </summary>
        internal static string GenRteSystemApplication4PrioTaskSchedulingTime {
            get {
                return ResourceManager.GetString("GenRteSystemApplication4PrioTaskSchedulingTime", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to RteSystemApplicationPrio5Task_.
        /// </summary>
        internal static string GenRteSystemApplication5PrioTaskPrefixName {
            get {
                return ResourceManager.GetString("GenRteSystemApplication5PrioTaskPrefixName", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to 1.
        /// </summary>
        internal static string GenRteSystemApplication5PrioTaskSchedulingTime {
            get {
                return ResourceManager.GetString("GenRteSystemApplication5PrioTaskSchedulingTime", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to RteSystemApplicationPrio6Task_.
        /// </summary>
        internal static string GenRteSystemApplication6PrioTaskPrefixName {
            get {
                return ResourceManager.GetString("GenRteSystemApplication6PrioTaskPrefixName", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to 1.
        /// </summary>
        internal static string GenRteSystemApplication6PrioTaskSchedulingTime {
            get {
                return ResourceManager.GetString("GenRteSystemApplication6PrioTaskSchedulingTime", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to RteSystemApplicationIdleTask_.
        /// </summary>
        internal static string GenRteSystemApplicationIdleTaskPrefixName {
            get {
                return ResourceManager.GetString("GenRteSystemApplicationIdleTaskPrefixName", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to RteSystemApplicationInitTask_.
        /// </summary>
        internal static string GenRteSystemApplicationInitTaskPrefixName {
            get {
                return ResourceManager.GetString("GenRteSystemApplicationInitTaskPrefixName", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to Internal.
        /// </summary>
        internal static string GenRteSystemApplicationInternal_Name {
            get {
                return ResourceManager.GetString("GenRteSystemApplicationInternal_Name", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to Rte_Types.h.
        /// </summary>
        internal static string GenRteTypesSourceFileName {
            get {
                return ResourceManager.GetString("GenRteTypesSourceFileName", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to   return RTE_E_NOT_CONNECTED;.
        /// </summary>
        internal static string GenRteUnconnectedClientPortFncContent {
            get {
                return ResourceManager.GetString("GenRteUnconnectedClientPortFncContent", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to .\03_GenData\src.
        /// </summary>
        internal static string GenSourceFilePath {
            get {
                return ResourceManager.GetString("GenSourceFilePath", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to Start generation of rte interface header file..
        /// </summary>
        internal static string LogMsg_GenInterfaceHeaderFile {
            get {
                return ResourceManager.GetString("LogMsg_GenInterfaceHeaderFile", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to Start generation of rte pre-build header file..
        /// </summary>
        internal static string LogMsg_GenPreBuildConfigHeaderFile {
            get {
                return ResourceManager.GetString("LogMsg_GenPreBuildConfigHeaderFile", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to Start generation of rte types header file..
        /// </summary>
        internal static string LogMsg_GenTypesHeaderFile {
            get {
                return ResourceManager.GetString("LogMsg_GenTypesHeaderFile", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to Rte interface header file generated!.
        /// </summary>
        internal static string LogMsg_InterfaceHeaderFileGenerated {
            get {
                return ResourceManager.GetString("LogMsg_InterfaceHeaderFileGenerated", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to Memory mapping file generated!.
        /// </summary>
        internal static string LogMsg_MemMapGenerated {
            get {
                return ResourceManager.GetString("LogMsg_MemMapGenerated", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to Pre-build header file generated!.
        /// </summary>
        internal static string LogMsg_PreBuildHeaderGenerated {
            get {
                return ResourceManager.GetString("LogMsg_PreBuildHeaderGenerated", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to Start generation of module memory mapping file..
        /// </summary>
        internal static string LogMsg_StartGenMemMap {
            get {
                return ResourceManager.GetString("LogMsg_StartGenMemMap", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to Rte types header file generated!.
        /// </summary>
        internal static string LogMsg_TypesHeaderFileGenerated {
            get {
                return ResourceManager.GetString("LogMsg_TypesHeaderFileGenerated", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to .\..\..\.
        /// </summary>
        internal static string SystemCfg_ProjectBasePathFromModuleBasePath {
            get {
                return ResourceManager.GetString("SystemCfg_ProjectBasePathFromModuleBasePath", resourceCulture);
            }
        }
    }
}
